NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::MoldFillingBuilder Class Reference

Builder used to add a gate/runner standard part from fill library, it returns NULL. More...

Inheritance diagram for NXOpen::Tooling::MoldFillingBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  InstallOption { InstallOptionAddInstance, InstallOptionNewComponent }
 The installation type of the fill component. More...
 
enum  MoveOption { MoveOptionMove, MoveOptionCopyInstance, MoveOptionCopyPart }
 The modification options of the selected fill component. More...
 

Public Member Functions

NXOpen::Assemblies::SelectComponentListAddedGatesByRunner ()
 Returns. More...
 
void AddFillingComponents ()
 Adds gate or runner component. More...
 
void AskFillLibraryData (bool isFromMemberView, const NXString &libName, const NXString &libPath)
 Gets fill standard part library data. More...
 
void AskFillLibraryData (bool isFromMemberView, const char *libName, const char *libPath)
 Gets fill standard part library data. More...
 
bool Constraint ()
 Returns. More...
 
void CreateCloneObject ()
 Creates clone object. More...
 
void DeleteFill ()
 Deletes selected fill component. More...
 
void EditComponentDimensions (NXOpen::Assemblies::Component *addedPartOcc)
 Edits standard part dimensions. More...
 
NXOpen::Assemblies::SelectComponentFillComponent ()
 Returns. More...
 
void GateLayoutAction ()
 Places the gate as product layout. More...
 
NXOpen::Tooling::CloneObjectGetCloneObject ()
 Gets clone client data. More...
 
void GetDataFromSelectedFillComponent (NXOpen::Tooling::SpreadsheetData *sheetData)
 Gets spreadsheet data from specified fill component. More...
 
NXOpen::Tooling::MoldFillingBuilder::InstallOption InstallOptions ()
 Returns. More...
 
bool IsBalanced ()
 Returns. More...
 
bool MoveAllGates ()
 Returns. More...
 
NXOpen::Tooling::MoldFillingBuilder::MoveOption MoveOptions ()
 Returns. More...
 
NXOpen::SelectNXObjectPositionObject ()
 Returns. More...
 
NXOpen::PointPositionPoint ()
 Returns. More...
 
void PreviewSelectedFillComponent ()
 Preview selected fill component. More...
 
void RemoveAddedComponents ()
 Removes added fill components. More...
 
bool Rename ()
 Returns. More...
 
void SaveEditingFillComponentPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Saves the position of fill component to be edit. More...
 
void SetActiveFillComponent (NXOpen::Assemblies::Component *activePartOcc)
 Sets the specified component as the active component. More...
 
void SetBalanced (bool isBalanced)
 Sets. More...
 
void SetClientDataWithSelectedItem (const NXString &catalogName, const NXString &descriptiveName)
 Gets selected part data, and assign it to standard part client data. More...
 
void SetClientDataWithSelectedItem (const char *catalogName, const char *descriptiveName)
 Gets selected part data, and assign it to standard part client data. More...
 
void SetCloneObject (NXOpen::Tooling::CloneObject *cloneObject)
 Sets clone client data. More...
 
void SetConstraint (bool constraint)
 Sets. More...
 
void SetFillClientData (NXOpen::Tooling::StandardPartData *clientData)
 Sets standard part client data. More...
 
void SetInstallOptions (NXOpen::Tooling::MoldFillingBuilder::InstallOption installOptions)
 Sets. More...
 
void SetManipulatorPosition (const NXOpen::Matrix3x3 &matrix, const NXOpen::Point3d &position)
 Sets manipulator position. More...
 
void SetMoveAllGates (bool moveAllGates)
 Sets. More...
 
void SetMoveOptions (NXOpen::Tooling::MoldFillingBuilder::MoveOption movecopy)
 Sets. More...
 
void SetParameterTreeData (NXOpen::Tooling::SpreadsheetData *sheetData)
 Sets spreadsheet data. More...
 
void SetPositionPoint (NXOpen::Point *positionPoint)
 Sets. More...
 
void SetRename (bool rename)
 Sets. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder used to add a gate/runner standard part from fill library, it returns NULL.


To create a new instance of this class, use NXOpen::Tooling::MoldwizardManager::CreateMoldFillingBuilder
Default values.

Property Value

Constraint

0

InstallOptions

AddInstance

IsBalanced

0

MoveAllGates

1

MoveOptions

Move

Rename

0


Created in NX11.0.0.

Member Enumeration Documentation

The installation type of the fill component.

Enumerator
InstallOptionAddInstance 

Instance.

InstallOptionNewComponent 

New part.

The modification options of the selected fill component.

Enumerator
MoveOptionMove 

Modifying current component.

MoveOptionCopyInstance 

Copying instance and Modifying.

MoveOptionCopyPart 

Copying new part and Modifying.

Member Function Documentation

NXOpen::Assemblies::SelectComponentList* NXOpen::Tooling::MoldFillingBuilder::AddedGatesByRunner ( )

Returns.

the gates added by selecting a runner body.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::MoldFillingBuilder::AddFillingComponents ( )

Adds gate or runner component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

void NXOpen::Tooling::MoldFillingBuilder::AskFillLibraryData ( bool  isFromMemberView,
const NXString libName,
const NXString libPath 
)

Gets fill standard part library data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
isFromMemberViewTrue if user drags an fill item from reuse library
libNameName of the fill library
libPathPath of the fill library
void NXOpen::Tooling::MoldFillingBuilder::AskFillLibraryData ( bool  isFromMemberView,
const char *  libName,
const char *  libPath 
)

Gets fill standard part library data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
isFromMemberViewTrue if user drags an fill item from reuse library
libNameName of the fill library
libPathPath of the fill library
bool NXOpen::Tooling::MoldFillingBuilder::Constraint ( )

Returns.

a value that indicates whether adding a constraint when placing a fill component.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::MoldFillingBuilder::CreateCloneObject ( )

Creates clone object.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

void NXOpen::Tooling::MoldFillingBuilder::DeleteFill ( )

Deletes selected fill component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

void NXOpen::Tooling::MoldFillingBuilder::EditComponentDimensions ( NXOpen::Assemblies::Component addedPartOcc)

Edits standard part dimensions.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
addedPartOccThe component to be edit
NXOpen::Assemblies::SelectComponent* NXOpen::Tooling::MoldFillingBuilder::FillComponent ( )

Returns.

the fill component to be edit.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::MoldFillingBuilder::GateLayoutAction ( )

Places the gate as product layout.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

NXOpen::Tooling::CloneObject* NXOpen::Tooling::MoldFillingBuilder::GetCloneObject ( )

Gets clone client data.

Returns
A NXOpen::Tooling::CloneObject instance
Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")
void NXOpen::Tooling::MoldFillingBuilder::GetDataFromSelectedFillComponent ( NXOpen::Tooling::SpreadsheetData sheetData)

Gets spreadsheet data from specified fill component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
sheetDataSpreadsheet data
NXOpen::Tooling::MoldFillingBuilder::InstallOption NXOpen::Tooling::MoldFillingBuilder::InstallOptions ( )

Returns.

the installation option when adding multiple gates one time.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Tooling::MoldFillingBuilder::IsBalanced ( )

Returns.

a value that indicates whether placing gates as product layout.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Tooling::MoldFillingBuilder::MoveAllGates ( )

Returns.

a value that indicates whether to move all gates or not when moving the active gate.


Created in NX11.0.0.

License requirements : None

NXOpen::Tooling::MoldFillingBuilder::MoveOption NXOpen::Tooling::MoldFillingBuilder::MoveOptions ( )

Returns.

the modification option.


Created in NX11.0.0.

License requirements : None

NXOpen::SelectNXObject* NXOpen::Tooling::MoldFillingBuilder::PositionObject ( )

Returns.

the position object(point or runner body) used to place a gate component.


Created in NX11.0.0.

License requirements : None

NXOpen::Point* NXOpen::Tooling::MoldFillingBuilder::PositionPoint ( )

Returns.

the point used to place a runner component.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::MoldFillingBuilder::PreviewSelectedFillComponent ( )

Preview selected fill component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

void NXOpen::Tooling::MoldFillingBuilder::RemoveAddedComponents ( )

Removes added fill components.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

bool NXOpen::Tooling::MoldFillingBuilder::Rename ( )

Returns.

a value that indicates whether the rename dialog should be activated when adding a fill component.


Created in NX11.0.0.

License requirements : None

void NXOpen::Tooling::MoldFillingBuilder::SaveEditingFillComponentPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Saves the position of fill component to be edit.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
matrixTransform matrix of the editing component
positionTransform origin point of the editing component
void NXOpen::Tooling::MoldFillingBuilder::SetActiveFillComponent ( NXOpen::Assemblies::Component activePartOcc)

Sets the specified component as the active component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
activePartOccThe component to be set as the active component
void NXOpen::Tooling::MoldFillingBuilder::SetBalanced ( bool  isBalanced)

Sets.

a value that indicates whether placing gates as product layout.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
isBalancedisbalanced
void NXOpen::Tooling::MoldFillingBuilder::SetClientDataWithSelectedItem ( const NXString catalogName,
const NXString descriptiveName 
)

Gets selected part data, and assign it to standard part client data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
catalogNameCatalog name of the fill component
descriptiveNameDescriptive name of the fill component
void NXOpen::Tooling::MoldFillingBuilder::SetClientDataWithSelectedItem ( const char *  catalogName,
const char *  descriptiveName 
)

Gets selected part data, and assign it to standard part client data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
catalogNameCatalog name of the fill component
descriptiveNameDescriptive name of the fill component
void NXOpen::Tooling::MoldFillingBuilder::SetCloneObject ( NXOpen::Tooling::CloneObject cloneObject)

Sets clone client data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
cloneObjectA NXOpen::Tooling::CloneObject instance
void NXOpen::Tooling::MoldFillingBuilder::SetConstraint ( bool  constraint)

Sets.

a value that indicates whether adding a constraint when placing a fill component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
constraintconstraint
void NXOpen::Tooling::MoldFillingBuilder::SetFillClientData ( NXOpen::Tooling::StandardPartData clientData)

Sets standard part client data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
clientDataStandard part client data
void NXOpen::Tooling::MoldFillingBuilder::SetInstallOptions ( NXOpen::Tooling::MoldFillingBuilder::InstallOption  installOptions)

Sets.

the installation option when adding multiple gates one time.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
installOptionsinstalloptions
void NXOpen::Tooling::MoldFillingBuilder::SetManipulatorPosition ( const NXOpen::Matrix3x3 matrix,
const NXOpen::Point3d position 
)

Sets manipulator position.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
matrixMatrix of the specified coordinates
positionOrigin point of the specified coordinates
void NXOpen::Tooling::MoldFillingBuilder::SetMoveAllGates ( bool  moveAllGates)

Sets.

a value that indicates whether to move all gates or not when moving the active gate.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
moveAllGatesmoveallgates
void NXOpen::Tooling::MoldFillingBuilder::SetMoveOptions ( NXOpen::Tooling::MoldFillingBuilder::MoveOption  movecopy)

Sets.

the modification option.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
movecopymovecopy
void NXOpen::Tooling::MoldFillingBuilder::SetParameterTreeData ( NXOpen::Tooling::SpreadsheetData sheetData)

Sets spreadsheet data.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
sheetDataSpreadsheet data
void NXOpen::Tooling::MoldFillingBuilder::SetPositionPoint ( NXOpen::Point positionPoint)

Sets.

the point used to place a runner component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
positionPointpositionpoint
void NXOpen::Tooling::MoldFillingBuilder::SetRename ( bool  rename)

Sets.

a value that indicates whether the rename dialog should be activated when adding a fill component.


Created in NX11.0.0.

License requirements : ug_mold_design ("UG MOLD")

Parameters
renamerename

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.